Skip to content

Update card spend limit

PATCH
/v1/cards/{cardId}/limit

Updates the card spend limit with a specified amount and interval (daily, weekly, monthly, yearly, all_time, per_transaction).

cardId
required

The id of the card whose limit is being updated

string
>= 1 characters
object
spendLimit
required
object
amount
required

The spend limit amount in USD

number
interval
required
string
Allowed values: daily weekly monthly yearly all_time per_transaction

Response for status 200

object
id
required

The unique identifier for the card

string
status
required
string
Allowed values: active frozen not_activated cancelled
type
required
string
Allowed values: physical virtual
country
required

The country code (e.g., US)

string
currency
required

The currency code (e.g., USD)

string
last4
required

The last 4 digits of the card number

string
limit
required
Any of:
object
amount
required

The spend limit amount in USD

number
interval
required
Any of:
string
Allowed value: daily
payable
required

Whether the card can be used for payments

boolean
renderSecret
required

The secret used for rendering sensitive card details

string
createdAt
required

ISO 8601 timestamp of card creation

string
updatedAt
required

ISO 8601 timestamp of last card update

string

Response for status 401

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
realm

The authentication realm

string
scope

The required scope for this resource

string

Response for status 404

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
resourceType
required

The type of resource that was not found

string
resourceId
required

The identifier of the resource that was not found

string

Response for status 500

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string